/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Display a single digit on the 7 segment for Hours 1/2
void print7Digit_Hours_1(byte number_Hours_1) {
  // Bitfield for digits 0-9
  const byte numtable_Hours_1[] = {
    B11000000,      // 0
    B11111001,      // 1
    B00100100,      // 2
    B00110000,      // 3
    B10011001,      // 4
    B00010010,      // 5
    B10000010,      // 6
    B11111000,      // 7
    B10000000,      // 8
    B10010000, };     // 9
   /* B11111111,      // --- 11
    B10101010,      // M    12
    B10100011,      // o    13
    B10101011,      // n    14
    B10000111,      // T    15
    B11100011,      // u    16
    B10000110,      // e    17
    B11011101,      // W    18
    B10100001,      // d    19
    B10001011,      // h    20
    B10000111,      // F    21
    B10101111,      // r    22
    B11111100,      // i    23
    B10010010,      // S    24
    B10100000,};    // a    25*/
    
  byte litpins_Hours_1 = numtable_Hours_1[number_Hours_1];
  byte nums_Hours_1;
  for (nums_Hours_1=0; nums_Hours_1<7; nums_Hours_1++) {
    digitalWrite(segment_digit1[nums_Hours_1], (litpins_Hours_1>>nums_Hours_1) & 1);
  }
}
/***************************************************************************************************************************************************************/
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Display a single digit on the 7 segment for Hours 2/2
void print7Digit_Hours_2(byte number_Hours_2) {
  // Bitfield for digits 0-9
  const byte numtable_Hours_2[] = {
    B11000000,      // 0
    B11111001,      // 1
    B00100100,      // 2
    B00110000,      // 3
    B10011001,      // 4
    B00010010,      // 5
    B10000010,      // 6
    B11111000,      // 7
    B10000000,      // 8
    B10010000, };   // 9 

    
  byte litpins_Hours_2 = numtable_Hours_2[number_Hours_2];
  byte nums_Hours_2;
  for (nums_Hours_2=0; nums_Hours_2<7; nums_Hours_2++) {
    digitalWrite(segment_digit2[nums_Hours_2], (litpins_Hours_2>>nums_Hours_2) & 1);
  }
} 
/***************************************************************************************************************************************************************/
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Display a single digit on the 7 segment for Minutes 1/2
void print7Digit_Mins_1(byte number_Mins_1) {
  // Bitfield for digits 0-9
  const byte numtable_Mins_1[] = {
    B11000000,      // 0
    B11111001,      // 1
    B00100100,      // 2
    B00110000,      // 3
    B10011001,      // 4
    B00010010,      // 5
    B10000010,      // 6
    B11111000,      // 7
    B10000000,      // 8
    B10010000,      // 9
    B10011100, };    // Celsius degree

    
  byte litpins_Mins_1 = numtable_Mins_1[number_Mins_1];
  byte nums_Mins_1;
  for (nums_Mins_1=0; nums_Mins_1<7; nums_Mins_1++) {
    digitalWrite(segment_digit3[nums_Mins_1], (litpins_Mins_1>>nums_Mins_1) & 1);
  }
} 
/***************************************************************************************************************************************************************/
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Display a single digit on the 7 segment for Minutes 2/2
void print7Digit_Mins_2(byte number_Mins_2) {
  // Bitfield for digits 0-9
  const byte numtable_Mins_2[] = {
    B11000000,      // 0
    B11111001,      // 1
    B00100100,      // 2
    B00110000,      // 3
    B10011001,      // 4
    B00010010,      // 5
    B10000010,      // 6
    B11111000,      // 7
    B10000000,      // 8
    B10010000,      // 9
    B11000110,};    // Letter C 
       
  byte litpins_Mins_2 = numtable_Mins_2[number_Mins_2];
  byte nums_Mins_2;
  for (nums_Mins_2=0; nums_Mins_2<7; nums_Mins_2++) {
    digitalWrite(segment_digit4[nums_Mins_2], (litpins_Mins_2>>nums_Mins_2) & 1);
  }
} 
/***************************************************************************************************************************************************************/
