/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Flash each digit of the time in turn on the 7 segment
void printSubroutine() {
  byte printTimeVar;            // Variable for pulling the segments down (to turn them off with a for cycle)  
  // Convert from 24 hour to 12 hour mode
  byte temphour = hour % 24;
  if (temphour == 0) {
    // Not zero based, not one based, but 24 based.
    temphour = 24;
  }  
switch (switchCase){ 
      case 0:

      print7Digit_Hours_1(temphour / 10); 
      print7Digit_Hours_2(temphour % 10);
      print7Digit_Mins_1(minute/10);
      print7Digit_Mins_2(minute%10);
      break;

      
      case 1: 
      // Reading the year
      print7Digit_Hours_1(year_1000); 
      print7Digit_Hours_2(year_100);
      print7Digit_Mins_1(year/10);
      print7Digit_Mins_2(year%10);
      delay(1000);
      switchCase = 2;
      break; 

      case 2:
      // Display Month and Day 
      print7Digit_Hours_1(month / 10); 
      print7Digit_Hours_2(month % 10);
      print7Digit_Mins_1(day/10);
      print7Digit_Mins_2(day%10);
      delay(1000);
      switchCase = 3;   
      break;

      case 3:
      byte clear_segm; 
      for (clear_segm=0; clear_segm<7; clear_segm++) {
        digitalWrite(segment_digit1[clear_segm], HIGH);
        digitalWrite(segment_digit2[clear_segm], HIGH);
        digitalWrite(segment_digit3[clear_segm], HIGH);
        digitalWrite(segment_digit4[clear_segm], HIGH);
      }

      print7Digit_Mins_2(weekday%10);
      delay(1000);
      switchCase = 4;
      break;
      
      case 4:
      // Display Temperature
      print7Digit_Hours_1(Temperature / 10); 
      print7Digit_Hours_2(Temperature % 10);
      print7Digit_Mins_1(degree);
      print7Digit_Mins_2(degree);
      delay(1000);
      switchCase = 0;         
      }
}
/***************************************************************************************************************************************************************/
